module Phcpresspro
  class ApplicationController < ActionController::Base

    # Security Filters
    protect_from_forgery with: :exception

    # Load Requried Helper Files
    helper PhcdevworksActiveMenus::Engine.helpers
    helper PhcdevworksNotifications::Engine.helpers
    helper PhcdevworksTitleseo::Engine.helpers
    helper PhcdevworksCore::Engine.helpers

    # Papertrail Whodunnit Username
    def user_for_paper_trail
      current_user ? current_user.username : 'Public user'
    end

    private

  end
end
