class CreatePhcpressproCategoryVersions < ActiveRecord::Migration[7.0]
  TEXT_BYTES = 1_073_741_823
  def change

    create_table :phcpresspro_category_versions do |t|
      t.string   :item_type, {:null=>false}
      t.integer  :item_id,   null: false
      t.string   :event,     null: false
      t.string   :whodunnit
      t.text     :object, limit: TEXT_BYTES
      t.datetime :created_at
    end

    add_index :phcpresspro_category_versions, %i(item_type item_id), :name => 'presspro_category_versions'

  end
end
