# -*- encoding: utf-8 -*-
# stub: phcpresspro 87.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "phcpresspro".freeze
  s.version = "87.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://bradpotts.github.io/phcpresspro/releases", "documentation_uri" => "https://bradpotts.github.io/phcpresspro/", "homepage_uri" => "https://bradpotts.github.io/phcpresspro/", "source_code_uri" => "https://github.com/bradpotts/phcpresspro/", "wiki_uri" => "https://github.com/bradpotts/phcpresspro/wiki/" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["BradPotts".freeze]
  s.date = "2022-07-24"
  s.description = "Ruby on Rails 7 engine to manage your website's articles, categories and media.".freeze
  s.email = ["info@phcnet.co".freeze]
  s.homepage = "https://bradpotts.github.io/phcpresspro/".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Rails 7 App Engine".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rails>.freeze, ["~> 7.0"])
    s.add_runtime_dependency(%q<jbuilder>.freeze, ["~> 2.11"])
    s.add_runtime_dependency(%q<paper_trail>.freeze, ["~> 12.3"])
    s.add_runtime_dependency(%q<phcthemes_admin_panel_pack>.freeze, ["~> 5.1"])
    s.add_runtime_dependency(%q<phcthemes_web_theme_pack>.freeze, ["~> 5.0"])
    s.add_runtime_dependency(%q<phcdevworks_active_menus>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<phcdevworks_core>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<phcdevworks_notifications>.freeze, ["~> 3.1"])
    s.add_runtime_dependency(%q<phcdevworks_titleseo>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<wicked>.freeze, ["~> 1.4"])
    s.add_runtime_dependency(%q<friendly_id>.freeze, ["~> 5.4"])
    s.add_runtime_dependency(%q<mail_form>.freeze, ["~> 1.9"])
    s.add_runtime_dependency(%q<aws-sdk-s3>.freeze, ["~> 1.114"])
    s.add_runtime_dependency(%q<google-cloud-storage>.freeze, ["~> 1.37"])
    s.add_runtime_dependency(%q<mini_magick>.freeze, ["~> 4.11"])
    s.add_development_dependency(%q<factory_bot_rails>.freeze, ["~> 6.2"])
    s.add_development_dependency(%q<rspec-rails>.freeze, ["~> 5.1"])
    s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.14"])
    s.add_development_dependency(%q<rubocop-rails>.freeze, ["~> 2.15"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.12"])
    s.add_development_dependency(%q<spring>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<spring-commands-rspec>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.4"])
  else
    s.add_dependency(%q<rails>.freeze, ["~> 7.0"])
    s.add_dependency(%q<jbuilder>.freeze, ["~> 2.11"])
    s.add_dependency(%q<paper_trail>.freeze, ["~> 12.3"])
    s.add_dependency(%q<phcthemes_admin_panel_pack>.freeze, ["~> 5.1"])
    s.add_dependency(%q<phcthemes_web_theme_pack>.freeze, ["~> 5.0"])
    s.add_dependency(%q<phcdevworks_active_menus>.freeze, ["~> 3.0"])
    s.add_dependency(%q<phcdevworks_core>.freeze, ["~> 4.0"])
    s.add_dependency(%q<phcdevworks_notifications>.freeze, ["~> 3.1"])
    s.add_dependency(%q<phcdevworks_titleseo>.freeze, ["~> 4.0"])
    s.add_dependency(%q<wicked>.freeze, ["~> 1.4"])
    s.add_dependency(%q<friendly_id>.freeze, ["~> 5.4"])
    s.add_dependency(%q<mail_form>.freeze, ["~> 1.9"])
    s.add_dependency(%q<aws-sdk-s3>.freeze, ["~> 1.114"])
    s.add_dependency(%q<google-cloud-storage>.freeze, ["~> 1.37"])
    s.add_dependency(%q<mini_magick>.freeze, ["~> 4.11"])
    s.add_dependency(%q<factory_bot_rails>.freeze, ["~> 6.2"])
    s.add_dependency(%q<rspec-rails>.freeze, ["~> 5.1"])
    s.add_dependency(%q<rubocop-performance>.freeze, ["~> 1.14"])
    s.add_dependency(%q<rubocop-rails>.freeze, ["~> 2.15"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 2.12"])
    s.add_dependency(%q<spring>.freeze, ["~> 4.0"])
    s.add_dependency(%q<spring-commands-rspec>.freeze, ["~> 1.0"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.4"])
  end
end
